package com.ruoyi.business.controller;

import com.ruoyi.business.domain.HwOfflineRule;
import com.ruoyi.business.service.HwOfflineRuleService;
import com.ruoyi.common.core.web.controller.BaseController;
import com.ruoyi.common.core.web.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/offlineRule")
public class HwOfflineRuleController extends BaseController {

    @Autowired
    private HwOfflineRuleService hwOfflineRuleService;

    @GetMapping("list")
    public TableDataInfo list(HwOfflineRule hwOfflineRule){
        startPage();
        List<HwOfflineRule> hwOfflineRules = hwOfflineRuleService.selectRuleList(hwOfflineRule);
        return getDataTable(hwOfflineRules);
    }
}
