package com.ruoyi.dataprocess.mapper;


import com.ruoyi.dataprocess.domain.HwDevice;

import java.util.List;

/**
 * 设备信息Mapper接口
 * 
 * @author xins
 * @date 2023-08-24
 */
public interface HwDeviceMapper 
{
    /**
     * 查询设备信息
     * 
     * @param deviceCode 设备编号，唯一
     * @return 设备信息
     */
    public HwDevice selectHwDeviceByDeviceCode(String deviceCode);

    /**
     * 根据设备编号获取设备信息
     * @param deviceCode
     * @return
     */
    public HwDevice GetDeviceById(Long deviceCode);

    /**
     * 修改设备信息
     *
     * @param hwDevice 设备信息
     * @return 结果
     */
    public int updateHwDevice(HwDevice hwDevice);
}
