import request from '@/utils/request'

// 左上
export function alarmStats(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/alarmStats/'+query,
    method: 'get',
  })
}
// 右上
export function subDevice(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/subDevice/'+query,
    method: 'get',
  })
}
// 左下
export function getAlarmInfos(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/getAlarmInfos',
    method: 'get',
    params: query
  })
}
// 右下
export function ElectronicNumVo(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/ElectronicNumVo/'+query,
    method: 'get',
  })
}

// 右下
export function selectDeviceLatitudeAndLongitude(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/selectDeviceLatitudeAndLongitude/'+query,
    method: 'get',
  })
}
// 获取历史记录
export function selectBeaconDevicesHistory(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: 'business/monitorPlatform/selectBeaconDevicesHistory',
    method: 'get',
    params:query
  })
}
