import request,{download} from '@/utils/request'

// 左下
export function monitorUnitPercentage(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/monitorUnitPercentage',
    method: 'get',
  })
}

// 左上
export function monitorPercentage(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/monitorPercentage',
    method: 'get',
  })
}

// 中
export function allNums(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/allNums',
    method: 'get',
  })
}

// 右下
export function getAlarmInfos(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/getAlarmInfos',
    method: 'get',
  })
}

// 右上
export function getDeviceOperations(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/getDeviceOperations/0',
    method: 'get',
  })
}

// 问题处理
export function handleAlarmInfo(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/handleAlarmInfo',
    method: 'put',
    data:query
  })
}


// 地图信息
export function getDeviceByAreaId(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: 'business/monitorPlatform/getDeviceByAreaId/'+query,
    method: 'get',
  })
}


// 获取租户信息
export function getTenantData(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/tenant/'+query,
    method: 'get',
  })
}
// 获取电子围栏
export function selectMonitorElectronic(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/selectMonitorElectronic/'+query,
    method: 'get',
  })
}

// 搜索地图标点
export function selectDeviceByName(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/selectDeviceByName',
    method: 'post',
    data:query
  })
}

// 导出告警信息
export function exTableData(data,name) {
  return download('/business/monitorPlatform/AlarmInfosExport',data,name,{},{type:'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'})
}



// 查看台账
export function getRedisFile(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/getRedisFile/'+query,
    method: 'get',
  })
}
// 导入台账
export function importAccount(query) {
  return request({
    // baseURL:'/monitoring-api',
    url: '/business/monitorPlatform/import',
    method: 'post',
    data:query
  })
}
