package com.ruoyi.business.domain.VO;

import com.ruoyi.business.domain.HwDeviceModeFunction;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description: 设备信息实体类
 * @ClassName: HwDeviceVo
 * @Author  : xins
 * @Date    :2023-09-25  15:26
 * @Version :1.0
 */
@Data
public class HwDeviceVo {

    private Long deviceId;

    private String deviceCode;
    private String deviceType;//1、开关属性（控制属性），2、只有采集属性
    private String deviceName;

    private Long deviceModeId;
    private String devicePic;

    private Map<String, Object> deviceDataMap;//监测数据

    private HwDeviceModeFunction deviceModeFunction;
}
