package com.ruoyi.dataprocess.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class HwElectronicFence extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 电子围栏ID */
    private Long electronicFenceId;

    /** 电子围栏名称 */
    @Excel(name = "电子围栏名称")
    private String electronicFenceName;

    /** 所属场景 */
    @Excel(name = "所属场景")
    private Long sceneId;

    /** 规则类型 */
    @Excel(name = "规则类型")
    private Long fenceType;

    /** 生效时间标识 */
    @Excel(name = "生效时间标识")
    private String effectiveTimeFlag;

    /** 生效时间：开始时间_结束时间_状态，多个用|隔开（例如00:00_05:00_1|06:00_08:00_0）,状态：（1、开启、2、关闭） */
    @Excel(name = "生效时间：开始时间_结束时间_状态，多个用|隔开", readConverterExp = "例=如00:00_05:00_1|06:00_08:00_0")
    private String effectiveTime;

    /** 触发状态（0、关闭，1、出界，2、入界，3、双向） */
    @Excel(name = "触发状态", readConverterExp = "0=、关闭，1、出界，2、入界，3、双向")
    private String triggerStatus;

    /** 报警推送标识(1、是，0、否） */
    @Excel(name = "报警推送标识(1、是，0、否）")
    private Long fencePushFlag;

    /** 报警推送内容 */
    @Excel(name = "报警推送内容")
    private String fencePushContent;

    /** 恢复正常推送内容 */
    @Excel(name = "恢复正常推送内容")
    private String fenceRecoverContent;

    /** 预留字段 */
    @Excel(name = "预留字段")
    private String fenceField;

    public void setElectronicFenceId(Long electronicFenceId) 
    {
        this.electronicFenceId = electronicFenceId;
    }

    public Long getElectronicFenceId() 
    {
        return electronicFenceId;
    }
    public void setElectronicFenceName(String electronicFenceName) 
    {
        this.electronicFenceName = electronicFenceName;
    }

    public String getElectronicFenceName() 
    {
        return electronicFenceName;
    }
    public void setSceneId(Long sceneId) 
    {
        this.sceneId = sceneId;
    }

    public Long getSceneId() 
    {
        return sceneId;
    }
    public void setFenceType(Long fenceType) 
    {
        this.fenceType = fenceType;
    }

    public Long getFenceType() 
    {
        return fenceType;
    }
    public void setEffectiveTimeFlag(String effectiveTimeFlag)
    {
        this.effectiveTimeFlag = effectiveTimeFlag;
    }

    public String getEffectiveTimeFlag()
    {
        return effectiveTimeFlag;
    }
    public void setEffectiveTime(String effectiveTime) 
    {
        this.effectiveTime = effectiveTime;
    }

    public String getEffectiveTime() 
    {
        return effectiveTime;
    }
    public void setTriggerStatus(String triggerStatus)
    {
        this.triggerStatus = triggerStatus;
    }

    public String getTriggerStatus()
    {
        return triggerStatus;
    }

    public void setFencePushFlag(Long fencePushFlag) 
    {
        this.fencePushFlag = fencePushFlag;
    }

    public Long getFencePushFlag() 
    {
        return fencePushFlag;
    }
    public void setFencePushContent(String fencePushContent) 
    {
        this.fencePushContent = fencePushContent;
    }

    public String getFencePushContent() 
    {
        return fencePushContent;
    }
    public void setFenceRecoverContent(String fenceRecoverContent) 
    {
        this.fenceRecoverContent = fenceRecoverContent;
    }

    public String getFenceRecoverContent() 
    {
        return fenceRecoverContent;
    }
    public void setFenceField(String fenceField) 
    {
        this.fenceField = fenceField;
    }

    public String getFenceField() 
    {
        return fenceField;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("electronicFenceId", getElectronicFenceId())
            .append("electronicFenceName", getElectronicFenceName())
            .append("sceneId", getSceneId())
            .append("fenceType", getFenceType())
            .append("effectiveTimeFlag", getEffectiveTimeFlag())
            .append("effectiveTime", getEffectiveTime())
            .append("triggerStatus", getTriggerStatus())
            .append("fencePushFlag", getFencePushFlag())
            .append("fencePushContent", getFencePushContent())
            .append("fenceRecoverContent", getFenceRecoverContent())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("fenceField", getFenceField())
            .toString();
    }
}
