package com.ruoyi.dataprocess.mapper;

import com.ruoyi.dataprocess.domain.HwAlarmDetail;
import com.ruoyi.dataprocess.domain.HwAlarmInfo;

import java.util.List;

/**
 * 报警信息Mapper接口
 *
 * @author xins
 * @date 2023-09-04
 */
public interface HwAlarmInfoMapper {
    /**
     * 新增报警信息
     *
     * @param hwAlarmInfo 报警信息
     * @return 结果
     */
    public int insertHwAlarmInfo(HwAlarmInfo hwAlarmInfo);

    /**
     * 批量新增报警详情信息
     *
     * @param hwAlarmDetailList 报警详情信息列表
     * @return 结果
     */
    public int batchHwAlarmDetail(List<HwAlarmDetail> hwAlarmDetailList);

}
