package com.ruoyi.file.service;

import com.ruoyi.system.api.domain.Base64FileVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * 文件上传接口
 *
 * @author ruoyi
 */
public interface ISysFileService {
    /**
     * 文件上传接口
     *
     * @param file 上传的文件
     * @return 访问地址
     * @throws Exception
     */
    public String uploadFile(MultipartFile file) throws Exception;

    /**
     * @return String
     * @param: base64FileVo
     * @description 将base64图片转为文件图片保存
     * @author xins
     * @date 2023-10-07 9:22
     */
    public String uploadBase64File( Base64FileVo base64FileVo) throws Exception;
}
